import { UmbResourceController } from '../resource.controller.js';
import type { UmbApiResponse, UmbTryExecuteOptions } from '../types.js';
export declare class UmbTryExecuteController<T> extends UmbResourceController<T> {
    #private;
    tryExecute(opts?: UmbTryExecuteOptions): Promise<UmbApiResponse<T>>;
    destroy(): void;
}
